Description

After new install of foreman-proxy with katello i get the following error.

foreman: 1.21.3

katello: 3.11.1

foreman-installer --scenario foreman-proxy-content\

>                     --certs-tar-file                              "/root/katello-smart-proxy-xx.

example.de-certs.tar"\

>                     --foreman-proxy-content-parent-fqdn           "katello01.example.de"\

>                     --foreman-proxy-register-in-foreman           "true"\

>                     --foreman-proxy-foreman-base-url              "https://katello01.example.de"

\

>                     --foreman-proxy-trusted-hosts                 "katello01.example.de"\

>                     --foreman-proxy-trusted-hosts                 "katello-smart-proxy-xx.exampl

e.de"\

>                     --foreman-proxy-oauth-consumer-key            "doRmgp4tgVcSy7xkzbfz2wJxYM4CN

nXx"\

>                     --foreman-proxy-oauth-consumer-secret         "fDsqTg5k5XHMErxxNQACUtFGrLKQy

ZdW"\

>                     --puppet-server-foreman-url                   "https://katello01.example.de"

\

 the following error occours.

error:

[ INFO 2019-06-25T11:27:41 verbose] Executing hooks in group pre_migrations

[ INFO 2019-06-25T11:27:41 verbose] All hooks in group pre_migrations finished

[ INFO 2019-06-25T11:27:41 verbose] Executing hooks in group boot

[ INFO 2019-06-25T11:27:41 verbose] All hooks in group boot finished

[ INFO 2019-06-25T11:27:41 verbose] Executing hooks in group init

[ INFO 2019-06-25T11:27:41 verbose] All hooks in group init finished

[ INFO 2019-06-25T11:27:41 verbose] Loading default values from puppet modules...

[ INFO 2019-06-25T11:27:41 verbose] ... finished

[ INFO 2019-06-25T11:27:41 verbose] Executing hooks in group pre_values

[ INFO 2019-06-25T11:27:41 verbose] All hooks in group pre_values finished

[ INFO 2019-06-25T11:27:41 verbose] Running installer with args [["--scenario", "foreman-proxy-con

tent", "--certs-tar-file", "/root/katello-smart-proxy-xx.example.de-certs.tar", "--foreman-proxy-c

ontent-parent-fqdn", "katello01.example.de", "--foreman-proxy-register-in-foreman", "true", "--for

eman-proxy-foreman-base-url", "https://katello01.example.de", "--foreman-proxy-trusted-hosts", "ka

tello01.example.de", "--foreman-proxy-trusted-hosts", "katello-smart-proxy-xx.example.de", "--fore

man-proxy-oauth-consumer-key", "doRmgp4tgVcSy7xkzbfz2wJxYM4CNnXx", "--foreman-proxy-oauth-consumer

-secret", "fDsqTg5k5XHMErxxNQACUtFGrLKQyZdW", "--puppet-server-foreman-url", "https://katello01.ex

ample.de", "--verbose"]]

[ INFO 2019-06-25T11:27:41 verbose] Executing hooks in group pre_validations

[ INFO 2019-06-25T11:27:41 verbose] All hooks in group pre_validations finished
[ INFO 2019-06-25T11:27:41 verbose] Running validation checks

[ERROR 2019-06-25T11:27:41 verbose] Parameter foreman-proxy-content-pulp-admin-password invalid: f

alse is not a valid string

[ERROR 2019-06-25T11:27:41 verbose] Parameter foreman-proxy-content-qpid-router-sasl-password inva

lid: false is not a valid string

Error during configuration, exiting

 after investigating the foreman-installer --full-help i get the following

    --foreman-proxy-content-pulp-admin-password  Password for the Pulp admin user. It should be le

ft blank so that a random password is generated (current: false)

    --reset-foreman-proxy-content-pulp-admin-password Reset pulp_admin_password to the default val

ue (false)

 and

    --foreman-proxy-content-qpid-router-sasl-password  SASL password to be used from router to bro

ker (current: false)

    --reset-foreman-proxy-content-qpid-router-sasl-password Reset qpid_router_sasl_password to the

 default value (false)

 i think it should be "UNDEF" or clear so that the installer can be create a own password.

History

#1 - 06/25/2019 11:41 AM - Sven Vogel

- Status changed from New to Resolved

i found a solution.

it seems there is a problem if the "cache_data" files exists with empty values.

so i removed the folder. it seems the function "cache_data" delivers "false" if the value of any file like "pulp_node_admin_password" within

"foreman_cache_data" folder is emtpy.

rm -rf /opt/puppetlabs/puppet/cache/foreman_cache_data/

 it will be recreated with random password.
